
package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.EmpresaComprovantePassagemConfigDAO;
import com.rjconsultores.ventaboletos.entidad.EmpresaComprovantePassagemConfig;
import com.rjconsultores.ventaboletos.service.EmpresaComprovantePassagemConfigService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("empresaComprovantePassagemConfigService")
public class EmpresaComprovantePassagemConfigServiceImpl implements EmpresaComprovantePassagemConfigService {

	@Autowired
	private EmpresaComprovantePassagemConfigDAO empresaComprovantePassagemConfigDAO;

	public List<EmpresaComprovantePassagemConfig> obtenerTodos() {
		return empresaComprovantePassagemConfigDAO.obtenerTodos();
	}

	public EmpresaComprovantePassagemConfig obtenerID(Integer id) {
		return empresaComprovantePassagemConfigDAO.obtenerID(id);
	}

	@Transactional
	public EmpresaComprovantePassagemConfig suscribir(EmpresaComprovantePassagemConfig entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return empresaComprovantePassagemConfigDAO.suscribir(entidad);
	}

	@Transactional
	public EmpresaComprovantePassagemConfig actualizacion(EmpresaComprovantePassagemConfig entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return empresaComprovantePassagemConfigDAO.actualizacion(entidad);
	}

	@Transactional
	public void borrar(EmpresaComprovantePassagemConfig entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.FALSE);

		empresaComprovantePassagemConfigDAO.actualizacion(entidad);
	}

	public EmpresaComprovantePassagemConfig buscarChave(String chave, Integer empresaId) {
		return empresaComprovantePassagemConfigDAO.buscarChave(chave, empresaId);
	}

	public List<EmpresaComprovantePassagemConfig> buscarByEmpresa(Integer empresaId) {
		return empresaComprovantePassagemConfigDAO.buscarByEmpresa(empresaId);
	}

}
